Bug 1265781 - (CVE-2015-4520) CVE-2015-4520 Mozilla: Errors in the handling of CORS preflight request headers (MFSA 2015-111)
CVE-2015-4520 Mozilla: Errors in the handling of CORS preflight request heade...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150922,repo...
: Security
Depends On:
Blocks: 1261782
  Show dependency treegraph
 
Reported: 2015-09-23 14:01 EDT by Prasad J Pandit
Modified: 2015-10-14 05:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 10:04:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-09-23 14:01:32 EDT
Mozilla developer Ehsan Akhgari reported two issues with Cross-origin resource
sharing (CORS) "preflight" requests.

The first issue is that in some circumstances the same cache key can be
generated for two preflight requests on a site. As a result, if a second
request is made that will match the cached key generated by an earlier
request, CORS checks will be bypassed because the system will see the
previously cached request as applicable.

In the second issue, when some Access-Control- headers are missing from CORS
responses, the values from different Access-Control- headers can be used that
present in the same response.

External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-111/
Comment 1 Martin Prpič 2015-09-24 08:38:20 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Ehsan Akhgari as the original reporter.
Comment 2 errata-xmlrpc 2015-09-24 14:40:40 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1834 https://rhn.redhat.com/errata/RHSA-2015-1834.html
Comment 4 errata-xmlrpc 2015-10-01 09:26:33 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2015:1852 https://rhn.redhat.com/errata/RHSA-2015-1852.html

Note You need to log in before you can comment on or make changes to this bug.